Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util.slurpersupport
[Java] Class FilteredAttributes

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.slurpersupport.GPathResult
              groovy.util.slurpersupport.NodeChildren
                  groovy.util.slurpersupport.Attributes
                      groovy.util.slurpersupport.FilteredAttributes

    public class FilteredAttributes
    extends Attributes

Lazy evaluated representation of a node's attributes filtered by a Closure.

Authors:
  John Wilson

Field Summary

Fields inherited from class GPathResult
name, namespaceMap, namespacePrefix, namespaceTagHints, parent

Constructor Summary
`FilteredAttributes(GPathResult parent, Closure closure, java.util.Map namespaceTagHints)` @param parent the GPathResult prior to the application of the expression creating this GPathResult

Method Summary
`java.util.Iterator` | `nodeIterator()`

Methods inherited from class Attributes
build, childNodes, findAll, iterator, list, name, nodeIterator, parents, text, writeTo

Methods inherited from class NodeChildren
appendNode, build, childNodes, find, findAll, iterator, nodeIterator, parents, replaceBody, replaceNode, size, text, writeTo

Methods inherited from class GPathResult
appendNode, breadthFirst, childNodes, children, declareNamespace, depthFirst, equals, find, findAll, getAt, getAt, getBody, getProperty, isEmpty, iterator, leftShift, list, lookupNamespace, name, nodeIterator, parent, parents, plus, putAt, replaceBody, replaceNode, setMetaClass, setProperty, size, text, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### FilteredAttributes

    public FilteredAttributes(GPathResult parent, Closure closure, java.util.Map namespaceTagHints)

  Parameters:
    `parent` - the GPathResult prior to the application of the expression creating this GPathResult
    `closure` - the Closure to use to filter the attributes
    `namespaceTagHints` - the known tag to namespace mappings

Method Detail

### nodeIterator

    public java.util.Iterator nodeIterator()

Groovy Documentation